Cyberduck Mountain Duck CLI

#8586 closed defect (worksforme)

Check for Updates offers to install old release version over nightly

Reported by: blacksmith_tb Owned by:
Priority: low Milestone: 4.7
Component: core Version: Nightly Build
Severity: minor Keywords: UX
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

I didn't see this one logged, and I haven't seen the behavior up to now, so maybe it's a regression?

Attachments (1)

Screen Shot 2015-02-16 at 1.18.02 PM.png (71.1 KB) - added by blacksmith_tb on Feb 16, 2015 at 10:23:38 PM.
Er, thanks, I think

Download all attachments as: .zip

Change History (6)

Changed on Feb 16, 2015 at 10:23:38 PM by blacksmith_tb

Er, thanks, I think

comment:1 Changed on Feb 17, 2015 at 11:18:54 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

The build is newer albeit with a lower human friendly version number as we are preparing for a bug fix release for version 4.6

comment:2 Changed on Feb 24, 2015 at 1:45:39 AM by matt wodrich

This is also reflected in the debian package versions, and effectively means someone on the current stable version would not be able to upgrade to the current nightly version without disabling the stable source, manually purging their current version, and then installing from nightly, while the stable source is disabled.

Stable offers:

Package: duck
Version: 4.7.16710
License: GPL
Vendor: none
Architecture: amd64
Maintainer: cyberduck.io <feedback@cyberduck.io>
Installed-Size: 186403
Provides: duck
Section: 
Priority: optional
Homepage: https://duck.sh
Filename: pool/d/du/duck-4.7.16710.amd64.deb
Size: 78532572
SHA1: 64578a4f4091a220ad765796b4fab66fc6329443
SHA256: 1ad485986a5bd9277e81c00e9a5d99a35415b0c5829ce7ee8dc08facea5457c3
MD5sum: a0c2f4a22a3eb808d968836455659232
Description: Cyberduck
Description-md5: 929c0fcef62426b5e3fdaea0626d6534

while nightly offers:

Package: duck
Version: 4.6.5.16968
License: GPL
Vendor: none
Architecture: amd64
Maintainer: cyberduck.io <feedback@cyberduck.io>
Installed-Size: 188020
Provides: duck
Section: 
Priority: optional
Homepage: https://duck.sh
Filename: pool/d/du/duck-4.6.5.16968.amd64.deb
Size: 79935822
SHA1: 3bf5e266dec91840958fff7c7bc69c1f60126b01
SHA256: 31f180117e3fa17da60dc691033a0befec00a96fca4a301b324447ef6f8ea10d
MD5sum: 0800372e5bdf406c722cd7742b86780f
Description: Cyberduck
Description-md5: 929c0fcef62426b5e3fdaea0626d6534

I imagine it will work itself out over time, but is there a 4.7 release with current fixes available, and/or is there a way to have such a 4.7 release on the nightly source?

comment:3 Changed on Feb 24, 2015 at 8:17:36 AM by dkocher

We are aware of the issue which will be fixed when we switch back to the 4.7 numbering after we have released the 4.6.5 bugfix release.

comment:4 Changed on Feb 25, 2015 at 9:41:03 AM by dkocher

Resolved with r17002.

comment:5 Changed on Feb 25, 2015 at 9:41:11 AM by dkocher

  • Milestone set to 4.7
Note: See TracTickets for help on using tickets.